shisa_enumerate_realms(3)

NAME
shisa_enumerate_realms - API function

SYNOPSIS
#include <shisa.h>

int shisa_enumerate_realms(Shisa * dbh, char *** realms, size_t * nrealms);

ARGUMENTS

Shisa * dbh
    Shisa library handle created by shisa().

char *** realms
    Pointer to newly allocated array of newly allocated zero-terminated UTF-8 strings indicating name of realm.

size_t * nrealms
    Pointer to number indicating number of allocated realm strings.

DESCRIPTION
Extract a list of all realm names in backend, as zero-terminated UTF-8 strings. The caller must deallocate the strings.

RETURN VALUE
Returns SHISA_OK on success, or error code.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.